var arrowWidth = 12;
var arrowHeight = 12;

function drawInteger0(context)
{
	var offsetX = 24;
	var offsetY = 24;
	var width = 48;
	var height = 48;
	var outputPort0Y = offsetY + height / 2;
	
	var lineWidth = 72;
	
	// コンポーネント描画
	context.strokeRect(offsetX, offsetY, width, height);
	drawType(context, offsetX, offsetY, height, "123");
	drawName(context, offsetX, offsetY, height, "整数");
	
	// ライン描画
	drawLine(context, offsetX + width, outputPort0Y, offsetX + width + lineWidth * 2, outputPort0Y + 48);
}

function drawInteger1(context)
{
	var offsetX = 24;
	var offsetY = 144;
	var width = 48;
	var height = 48;
	var outputPort0Y = offsetY + height / 2;
	
	var lineWidth = 72;
	
	// コンポーネント描画
	context.strokeRect(offsetX, offsetY, width, height);
	drawType(context, offsetX, offsetY, height, "234");
	drawName(context, offsetX, offsetY, height, "整数1");
	
	// ライン描画
	drawLine(context, offsetX + width, outputPort0Y, offsetX + width + lineWidth * 2, outputPort0Y - 48);
}

function drawMath(context, type, name)
{
	var offsetX = 216;
	var offsetY = 84;
	var width = 48;
	var height = 48;
	var outputPort0Y = offsetY + height / 2;
	
	var lineWidth = 72;
	
	// コンポーネント描画
	context.strokeRect(offsetX, offsetY, width, height);
	drawType(context, offsetX, offsetY, height, type);
	drawName(context, offsetX, offsetY, height, name);
	
	// ライン描画
	drawLine(context, offsetX + width, outputPort0Y, offsetX + width + lineWidth, outputPort0Y);
	
	// 矢印描画
	drawArrow(context, offsetX + width, outputPort0Y, lineWidth, arrowWidth, arrowHeight);
}
