
function drawType(context, baseX, baseY, height, text)
{
	context.fillText(text, baseX + 8, baseY + height / 2 + 6);
}

function drawName(context, baseX, baseY, height, text)
{
	context.fillText(text, baseX + 8, baseY + height + 20);
}

function drawLine(context, x0, y0, x1, y1)
{
	context.beginPath();
	context.moveTo(x0,					y0);
	context.lineTo(x0 + (x1 - x0) / 2 ,	y0);
	context.lineTo(x0 + (x1 - x0) / 2 ,	y1);
	context.lineTo(x1 ,					y1);
	context.stroke();
}

function drawArrow(context, baseX, baseY, lineWidth, arrowWidth, arrowHeight)
{
	context.beginPath();
	context.moveTo(baseX + lineWidth				, baseY);
	context.lineTo(baseX + lineWidth - arrowWidth	, baseY - arrowHeight / 2);
	context.lineTo(baseX + lineWidth - arrowWidth	, baseY + arrowHeight / 2);
	context.lineTo(baseX + lineWidth				, baseY);
	context.closePath();
	context.stroke();
}

